aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/external/c-testsuite/runners/single-exec/posix
diff options
context:
space:
mode:
Diffstat (limited to 'test/external/c-testsuite/runners/single-exec/posix')
-rwxr-xr-xtest/external/c-testsuite/runners/single-exec/posix28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/external/c-testsuite/runners/single-exec/posix b/test/external/c-testsuite/runners/single-exec/posix
new file mode 100755
index 0000000..2120bfb
--- /dev/null
+++ b/test/external/c-testsuite/runners/single-exec/posix
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+# To use this script, set CC
+# and CFLAGS.
+
+set -e
+set -u
+
+t=$1
+
+cat $t
+
+set -x
+
+if ! $CC $CFLAGS "$t" -o "$t.bin"
+then
+ exit 1
+fi
+
+if ! "$t.bin" > "$t.output" 2>&1
+then
+ exit 1
+fi
+
+if ! diff -u "$t.expected" "$t.output"
+then
+ exit 1
+fi